List source message feed
curl --request GET \
--url https://partners.centaur.io/api/v1/messages \
--header 'x-api-key: <api-key>'import requests
url = "https://partners.centaur.io/api/v1/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://partners.centaur.io/api/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"results": [
{
"id": "<string>",
"source": {
"platform": "TELEGRAM",
"identity": {
"platform": "TELEGRAM",
"sourceIdentityId": "<string>",
"displayName": "<string>",
"handle": "<string>",
"avatarUrl": "<string>",
"profileUrl": "<string>",
"audienceCount": 123
},
"preview": {
"platform": "TELEGRAM",
"writtenAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"text": "<string>",
"attachments": [
{
"type": "<string>",
"url": "<string>"
}
],
"isEdited": true,
"isReply": true,
"isQuote": true,
"isRepost": true
}
}
}
],
"meta": {
"hasMore": true,
"nextCursor": "<string>",
"appliedTimeRange": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
}
}
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "INVALID_CURSOR",
"message": "Malformed cursor"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "FORBIDDEN",
"message": "Forbidden"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "<unknown>"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "AUTHENTICATION_UNAVAILABLE",
"message": "Authentication is temporarily unavailable"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}Messages
List source message feed
Returns eligible source messages by source platform, message timestamp, or direct Source Message ID hydration. Messages do not support trader, asset, direction, or event-type filters.
GET
/
api
/
v1
/
messages
List source message feed
Authorizations
API key issued by Centaur.
Query Parameters
Filter to specific opaque Source Message IDs returned by message id or event messageId.
Filter to source messages whose source platform is TELEGRAM or X.
Inclusive ISO-8601 lower time bound on message timestamp.
Inclusive ISO-8601 upper time bound on message timestamp.
Maximum number of rows to return.
Required range:
1 <= x <= 200Forward pagination cursor from meta.nextCursor.
Minimum string length:
1Last modified on August 21, 2026